Subject: Bicentennial celebrations of Darwin in 2009

From: "Floyd Sandford" <[email-masked]>
Date: Thu, 9 Aug 2007 09:36:12 -0500

Friends at Darwin Day:
  Firstly, is Amanda still part of the organization?  I don't get replies to any of the e-mails I send her.
  Secondly, I have already scheduled one performance of my play "Darwin Remembers" in 2009, as part of Darwin bicentennial celebrations (at Case Western Reserve Univ. in Ohio), but I am hoping to present other performances to interested audiances elsewhere.  If you know of anyone who would like to schedule a theatrical performance celebrating the life and work of Darwin, I hope you will think of me and my one-man plan.
  Info. about the play is available at the following website:
www.public.coe.edu/departments/Biology/darwin_playprogram.html

Thanks for your consideration,
Floyd Sandford, Prof. of Biology Emeritus